Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.codec.wmf
Class InputMeta

    java.lang.Object
      com.lowagie.text.pdf.codec.wmf.InputMeta

    public class InputMeta

extends Object

Field Summary
`(package private) InputStream` | `in`
`(package private) int` | `length`

Constructor Summary
`InputMeta(InputStream in)`

Method Summary
`int` | `getLength()`
`int` | `readByte()`
`Color` | `readColor()`
`int` | `readInt()`
`int` | `readShort()`
`int` | `readWord()`
`void` | `skip(int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    InputStream in

### length

    int length

Constructor Detail

### InputMeta

    public InputMeta(InputStream in)

Method Detail

### readWord

    public int readWord()
                 throws IOException

  Throws:
    `IOException`

### readShort

    public int readShort()
                  throws IOException

  Throws:
    `IOException`

### readInt

    public int readInt()
                throws IOException

  Throws:
    `IOException`

### readByte

    public int readByte()
                 throws IOException

  Throws:
    `IOException`

### skip

    public void skip(int len)
              throws IOException

  Throws:
    `IOException`

### getLength

    public int getLength()

### readColor

    public Color readColor()
                    throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD